package ru.yandex.autotests.direct.db.beans.images;

/**
 * Поле formats в таблице ppc.banner_images_formats
 */
public class ImagesFormats {

    public static final ImagesFormats SMALL;
    public static final ImagesFormats REGULAR;
    public static final ImagesFormats WIDE;

    static {
        ImagesFormats small = new ImagesFormats();
        small.x80 = ImageFormat.X_80;
        small.x90 = ImageFormat.X_90;
        small.y65 = ImageFormat.Y_65;
        small.y80 = ImageFormat.Y_80;
        small.y90 = ImageFormat.Y_90;
        small.y110 = ImageFormat.Y_110;
        small.y129 = ImageFormat.Y_129;
        small.y150 = ImageFormat.Y_150;
        SMALL = small;

        ImagesFormats regular = new ImagesFormats();
        regular.x80 = ImageFormat.X_80;
        regular.x90 = ImageFormat.X_90;
        regular.x160 = ImageFormat.X_160;
        regular.x180 = ImageFormat.X_180;
        regular.x450 = ImageFormat.X_450;
        regular.y65 = ImageFormat.Y_65;
        regular.y80 = ImageFormat.Y_80;
        regular.y90 = ImageFormat.Y_90;
        regular.y110 = ImageFormat.Y_110;
        regular.y129 = ImageFormat.Y_129;
        regular.y150 = ImageFormat.Y_150;
        regular.y160 = ImageFormat.Y_160;
        regular.y180 = ImageFormat.Y_180;
        regular.y300 = ImageFormat.Y_300;
        regular.y450 = ImageFormat.Y_450;
        REGULAR = regular;

        ImagesFormats wide = new ImagesFormats();
        wide.wx300 = ImageFormat.WX_300;
        wide.wx600 = ImageFormat.WX_600;
        wide.wx1080 = ImageFormat.WX_1080;
        wide.wy150 = ImageFormat.WY_150;
        wide.wy300 = ImageFormat.WY_300;
        WIDE = wide;
    }


    private ImageFormat x80;
    private ImageFormat x90;
    private ImageFormat x160;
    private ImageFormat x180;
    private ImageFormat x450;
    private ImageFormat y65;
    private ImageFormat y80;
    private ImageFormat y90;
    private ImageFormat y110;
    private ImageFormat y129;
    private ImageFormat y150;
    private ImageFormat y160;
    private ImageFormat y180;
    private ImageFormat y300;
    private ImageFormat y450;

    private ImageFormat wx300;
    private ImageFormat wx600;
    private ImageFormat wx1080;
    private ImageFormat wy300;
    private ImageFormat wy150;

    public ImageFormat getX80() {
        return x80;
    }

    public ImageFormat getX90() {
        return x90;
    }

    public ImageFormat getX160() {
        return x160;
    }

    public ImageFormat getX180() {
        return x180;
    }

    public ImageFormat getX450() {
        return x450;
    }

    public ImageFormat getY65() {
        return y65;
    }

    public ImageFormat getY80() {
        return y80;
    }

    public ImageFormat getY90() {
        return y90;
    }

    public ImageFormat getY110() {
        return y110;
    }

    public ImageFormat getY129() {
        return y129;
    }

    public ImageFormat getY150() {
        return y150;
    }

    public ImageFormat getY160() {
        return y160;
    }

    public ImageFormat getY180() {
        return y180;
    }

    public ImageFormat getY300() {
        return y300;
    }

    public ImageFormat getY450() {
        return y450;
    }

    public ImageFormat getWx300() {
        return wx300;
    }

    public ImageFormat getWx600() {
        return wx600;
    }

    public ImageFormat getWx1080() {
        return wx1080;
    }

    public ImageFormat getWy300() {
        return wy300;
    }

    public ImageFormat getWy150() {
        return wy150;
    }
}

